#!/usr/bin/python
# -*- coding: utf-8 -*-
#######################################################################
# File  : __init__.py
# Author: Souheil CHELFOUH
#         mailto:souheil@chelfouh.com
#         http://www.trollskog.com
# Date  : 2006-02-11
#######################################################################

__author__	= 'Souheil CHELFOUH <souheil@chelfouh.com>'
__docformat__	= 'plaintext'

print 'Product TPArtist (Un Troll dans Paris : Artist) installed'

from Products.CMFCore import utils, CMFCorePermissions, DirectoryView
from Products.Archetypes import listTypes
from Products.Archetypes.public import *
from Products.TPArtist.config import *

# Register skin directories so they can be added to portal_skins
DirectoryView.registerDirectory('skins', product_globals)
DirectoryView.registerDirectory('skins/TPArtist', product_globals)
DirectoryView.registerDirectory('skins/TPArtistTool', product_globals)
DirectoryView.registerDirectory('skins/TPArtistIcons', product_globals)

def initialize(context):
    """
    Init my product : Un Troll dans Paris - Artist
    """

    from content import Artist, Album, Track
    from tools   import TPArtistTool

    # initialize the content, including types and add permissions
    content_types, constructors, ftis = process_types(
        listTypes(PROJECTNAME),
        PROJECTNAME)

    tools = (TPArtistTool,)

    utils.ContentInit(
        PROJECTNAME + ' Content',
        content_types      = content_types,
        permission         = DEFAULT_ADD_CONTENT_PERMISSION,
        extra_constructors = constructors,
        fti                = ftis,
        ).initialize(context)

    utils.ToolInit(
        PROJECTNAME + ' Tool',
        tools              = tools,
        product_name       = PROJECTNAME,
        icon               = 'tool.gif'
        ).initialize(context)
