## Controller Python Script "cddb_creation"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind state=state
##bind subpath=traverse_subpath
##parameters=RESPONSE=None
##title=Create Albums and Tracks from a CDDB Request
##

stack   = []
request = context.REQUEST
pa      = context.portal_artist

if context.meta_type is not 'Artist':
    return state.set(status='failure', portal_status_message="You cannot summon CDDB if not on the artist page")

for cdid in request.get('cdid', []):
    style = context.getStyleByCdid(cdid)
    (code, query) = pa.albumRead(style, cdid)
    if code == 210:
        title = pa.getDecentTitle(query['DTITLE'])
        new_id = pa.getMeValidId(context.aq_parent, title)
        if new_id:
            try:
                context.invokeFactory(type_name = 'Album', id = new_id, title = title)
                album = getattr(context, new_id)
                album.setYear(query['DYEAR'])
                for i in range(str(query).count('TTITLE')):
                    try:
                        new_id   = pa.getMeNiceId(query['TTITLE' + `i`])
                        newTrack = album.invokeFactory(type_name='Track', id=new_id, title=query['TTITLE' + `i`])
                    except:
                        stack.append('Error in album %s for track %s : ' % (cdid, query['TTITLE' + `i`]))
            except:
                stack.append('Error in creating album : ' + cdid)
        else:
            stack.append('Error for album : ' + cdid)
    else:
        stack.append('Request to CDDB failed for ' + cdid)

if len(stack):
    return state.set(status='failure', portal_status_message=', '.join(stack))
return state.set(status='success', portal_status_message='informations from cddb added to portal')
